Summary:        perl implementation of JSON encoder/decoder
Name:           perl-JSON
Version:        4.10
Release:        3%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/JSON
Source0:        https://cpan.metacpan.org/modules/by-module/JSON/JSON-%{version}.tar.gz
BuildArch:      noarch
# Build
BuildRequires:  coreutils, findutils, make, perl-generators, perl-interpreter, perl-libs, perl-ExtUtils-MakeMaker, perl-lib
# Module
BuildRequires:  perl-B, perl-Carp, perl-constant, perl-Encode, perl-Exporter, perl-Math-BigInt, perl-overload, perl-Scalar-List-Utils
# Tests
BuildRequires:  perl-Data-Dumper, perl-Test, perl-Test-Simple, perl-Test-Pod, perl-Tie, perl-Tie-IxHash, perl-vars
Requires:       perl-B, perl-Encode, perl-Math-BigInt, perl-Scalar-List-Utils 

%{?perl_default_filter}
%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}perl\\(JSON::(Backend::PP|backportPP::Boolean|Boolean|PP|PP::IncrParser)\\)
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}perl\\(JSON::(backportPP|backportPP::Boolean)\\)

%description
JSON (JavaScript Object Notation) encoder/decoder



%prep
%autosetup -n JSON-%{version}

find .  -type f -exec chmod -c -x {} +
sed -i 's/\r//' README t/*

for F in t/*.t; do
    perl -i -MConfig -ple 'print $Config{startperl} if $. == 1' "$F"
    chmod +x "$F"
done



%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}



%install
%{make_install}

%{_fixperms} -c %{buildroot}



%check
export HARNESS_OPTIONS=j$(nproc)
%{make_build} test



%files
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*



%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.10-3
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.10-2
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 02 2023 Xiaojie Chen <jackxjchen@tencent.com> - 4.10-1
- Upgrade to upstream version 4.10
- Remove perl-libs which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.09-4
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.09-3
- Rebuilt for OpenCloudOS Stream 23

* Wed Feb 15 2023 Shuo Wang <abushwang@tencent.com> - 4.09-2
- remove unused buildrequires: perl-JSON-XS perl-Types-Serialiser

* Tue Aug 09 2022 Zhao Zhen <jeremiazhao@tencent.com> - 4.09-1
- Initial building.
